Bug 17197 - arg to specify DE in startx line
arg to specify DE in startx line
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-02 22:26 EDT by Kevin Breit
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-14 12:43:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Breit 2000-09-02 22:26:51 EDT
I'd really like a way to specify an arguement at the console when you type
startx to load a certain desktop environment.  For example, I type:
startx gnome
and it'll load gnome.
startx kde
will load kde, etc, etc.
Comment 1 Mike A. Harris 2001-03-13 22:53:37 EST
This already exists more or less.  The "switchdesk" package.  For more info,
make sure switchdesk is installed, and read the manpage for it:

man switchdesk

You could create a bash alias to do what you want something like (untested)

alias startgnome='switchdesk gnome;startx'
alias startkde='switchdesk kde;startx'

Changing the way the arguments to startx works would break a lot of
documentation, when there is already a way to do this.  Hope this helps you
figure out something useful.


Note You need to log in before you can comment on or make changes to this bug.